<template>
  <div
    :class="[
      'flex',
      'gap-3',
      'items-center',
      'rounded-md',
      'px-2',
      'py-1',
      '@light:bg-@light-white-smoke',
      '@dark:bg-@dark-mirage'
    ]"
  >
    <v-icon
      v-if="darkTheme"
      name="moon"
      class="fill-current"
    />
    <v-icon
      v-if="!darkTheme"
      name="sun"
      class="fill-current"
    />
    <VToggle
      v-model="darkTheme"
      variant="border-primary"
      :value="false"
    />
  </div>
</template>

<script>
/**
 * ThemeToggle component
 */
export default {
  name: 'ThemeToggle',
  computed: {
    /**
     * Magic computed to use with t-toggle (v-model must be a boolean)
     */
    darkTheme: {
      get () {
        return this.$app.userSettings().theme === 'dark'
      },
      set (value) {
        const theme = value ? 'dark' : 'light'
        this.$app.ui.setTheme(theme)
      }
    }
  }
}
</script>
